GLS ShipIT 4.0.f7 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.IdentService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
Date | getBirthdate ()
void | setBirthdate (Date value)
String | getFirstname ()
void | setFirstname (String value)
String | getLastname ()
void | setLastname (String value)
Nationality | getNationality ()
void | setNationality (Nationality value)

## Protected Attributes
String | serviceName
Date | birthdate
String | firstname
String | lastname
Nationality | nationality

## Detailed Description

Ident service attributes

Java class for IdentService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="IdentService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="Birthdate" type="{http://www.w3.org/2001/XMLSchema}date"/>
            <element name="Firstname" type="{http://fpcs.gls-group.eu/v1/Common}Name"/>
            <element name="Lastname" type="{http://fpcs.gls-group.eu/v1/Common}Name"/>
            <element name="Nationality" type="{http://fpcs.gls-group.eu/v1/Common}Nationality"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 48 of file IdentService.java.

## Member Function Documentation

## ◆ getBirthdate()

Date eu.gls_group.fpcs.v1.common.IdentService.getBirthdate | ( |  | ) |

Gets the value of the birthdate property.

Returns
  possible object is String

Definition at line 95 of file IdentService.java.

## ◆ getFirstname()

String eu.gls_group.fpcs.v1.common.IdentService.getFirstname | ( |  | ) |

Gets the value of the firstname property.

Returns
  possible object is String

Definition at line 119 of file IdentService.java.

## ◆ getLastname()

String eu.gls_group.fpcs.v1.common.IdentService.getLastname | ( |  | ) |

Gets the value of the lastname property.

Returns
  possible object is String

Definition at line 143 of file IdentService.java.

## ◆ getNationality()

Nationality eu.gls_group.fpcs.v1.common.IdentService.getNationality | ( |  | ) |

Gets the value of the nationality property.

Returns
  possible object is Nationality

Definition at line 167 of file IdentService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.IdentService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 71 of file IdentService.java.

## ◆ setBirthdate()

void eu.gls_group.fpcs.v1.common.IdentService.setBirthdate | ( | Date | value | ) |

Sets the value of the birthdate property.

Parameters

  value | allowed object is String

Definition at line 107 of file IdentService.java.

## ◆ setFirstname()

void eu.gls_group.fpcs.v1.common.IdentService.setFirstname | ( | String | value | ) |

Sets the value of the firstname property.

Parameters

  value | allowed object is String

Definition at line 131 of file IdentService.java.

## ◆ setLastname()

void eu.gls_group.fpcs.v1.common.IdentService.setLastname | ( | String | value | ) |

Sets the value of the lastname property.

Parameters

  value | allowed object is String

Definition at line 155 of file IdentService.java.

## ◆ setNationality()

void eu.gls_group.fpcs.v1.common.IdentService.setNationality | ( | Nationality | value | ) |

Sets the value of the nationality property.

Parameters

  value | allowed object is Nationality

Definition at line 179 of file IdentService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.IdentService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 83 of file IdentService.java.

## Member Data Documentation

## ◆ birthdate

Date eu.gls_group.fpcs.v1.common.IdentService.birthdate
| protected

Definition at line 55 of file IdentService.java.

## ◆ firstname

String eu.gls_group.fpcs.v1.common.IdentService.firstname
| protected

Definition at line 57 of file IdentService.java.

## ◆ lastname

String eu.gls_group.fpcs.v1.common.IdentService.lastname
| protected

Definition at line 59 of file IdentService.java.

## ◆ nationality

Nationality eu.gls_group.fpcs.v1.common.IdentService.nationality
| protected

Definition at line 61 of file IdentService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.IdentService.serviceName
| protected

Definition at line 51 of file IdentService.java.

The documentation for this class was generated from the following file:

- IdentService.java